### A free/open-source library for quantitative finance

Public Member Functions
TermStructureFittingParameter Class Reference

Deterministic time-dependent parameter used for yield-curve fitting. More...

`#include <ql/models/parameter.hpp>`

Inheritance diagram for TermStructureFittingParameter:
[legend]

List of all members.

## Public Member Functions

| TermStructureFittingParameter (const boost::shared_ptr< Parameter::Impl > &impl)
| TermStructureFittingParameter (const Handle< YieldTermStructure > &term)

## Detailed Description

Deterministic time-dependent parameter used for yield-curve fitting.